Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class RewritingResponse

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.jboss.seam.web.RewritingResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class RewritingResponse

extends javax.servlet.http.HttpServletResponseWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`RewritingResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Collection<Pattern> patterns)`

Method Summary
`String` | `encodeRedirectUrl(String url)`
`String` | `encodeRedirectURL(String url)`
`String` | `encodeUrl(String url)`
`String` | `encodeURL(String url)`
`boolean` | `isLocalURL(URL url)`
`String` | `rewritePath(String originalPath)`
`String` | `rewriteURL(String originalUrl)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, getHeader, getHeaderNames, getHeaders, getStatus, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

Constructor Detail

### RewritingResponse

    public RewritingResponse(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             Collection<Pattern> patterns)

Method Detail

### encodeRedirectUrl

    public String encodeRedirectUrl(String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeUrl

    public String encodeUrl(String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectURL

    public String encodeRedirectURL(String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeURL

    public String encodeURL(String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### isLocalURL

    public boolean isLocalURL(URL url)

### rewritePath

    public String rewritePath(String originalPath)

### rewriteURL

    public String rewriteURL(String originalUrl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.